// OutputDlg.cpp : implementation file
//

#include "stdafx.h"
#include "VisioDraw.h"
#include "OutputDlg.h"
#include "DirDialog.h"
#include <io.h>
#include <direct.h>
#include <stdlib.h>

#pragma warning (disable : 4244)
#pragma warning (disable : 4800)
#pragma warning (disable : 4018)
#pragma warning (disable : 4010)
#pragma warning (disable : 4663)

#if _MSC_VER >= 1300
	#include <fstream>
#else
	#include <fstream.h>
#endif
 
/////////////////////////////////////////////////////////////////////////////
// COutputDlg dialog


COutputDlg::COutputDlg(CWnd* pParent /*=NULL*/)
	: CDialog(COutputDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(COutputDlg)
	//}}AFX_DATA_INIT
	m_strPath = _T("c:\\temp\\");
	 
}


void COutputDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(COutputDlg)
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(COutputDlg, CDialog)
	//{{AFX_MSG_MAP(COutputDlg)
	ON_BN_CLICKED(IDC_BUTTON_SYS1, OnButton1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COutputDlg message handlers

void COutputDlg::OnButton1() 
{
	// TODO: Add your control notification handler code here
	CDirDialog dlg;
	dlg.SetWindowTitle("Select Directory");
	
	if(dlg.DoModal() == IDOK)
	{
		CString Path = dlg.GetPathname();
		if(Path.Right(1) != "\\")
		{
			Path += "\\";
		}
		GetDlgItem(IDC_EDIT_PATH)->SetWindowText(Path);
	}
}

BOOL DirectoryExists(const CString& Path)
{
#ifdef WIN32
  DWORD dwRetVal = GetFileAttributes( Path );
  if ( dwRetVal == 0xFFFFFFFF )
    return FALSE;

  // SB:  check for directory attribute
  else if (dwRetVal & FILE_ATTRIBUTE_DIRECTORY)
    return TRUE;

  return FALSE;
#else
  CFileStatus FileStatus;

  if (CFile::GetStatus(Path, FileStatus) == TRUE  &&
      FileStatus.m_attribute & directory)
  {
    return TRUE;
  } // if
  else if (FileSystemExists(GetFullPathName(Path)))
  {
    return TRUE;
  } // else if

  return FALSE;
#endif
} // DirectoryExists
 
void COutputDlg::OnOK() 
{
	// TODO: Add extra validation here
	GetDlgItem(IDC_EDIT_PATH)->GetWindowText(m_strPath);
	if(m_strPath.IsEmpty())
	{
		GetDlgItem(IDC_EDIT_PATH)->SetFocus();
		return;
	}

	if(m_strPath.Right(1) != "\\")
	{
		m_strPath += "\\";
	}

	if(!DirectoryExists(m_strPath))
	{
		CFODrawHelper::FOMakeDirectory(m_strPath);
	}

	CDialog::OnOK();
}

BOOL COutputDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	GetDlgItem(IDC_EDIT_PATH)->SetWindowText(m_strPath);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
